### Property

# WPEPlatform InputMethodContext:input-purpose

#### Declaration

    property input-purpose: WPEPlatform.InputPurpose [ read, write ]

#### Description [src]

The purpose of the text field that the `WPEInputMethodContext` is connected to.

This property can be used by on-screen keyboards and other input methods to adjust their behaviour.

Type:`WPEInputPurpose`

Default value | WPE_INPUT_PURPOSE_FREE_FORM
Getter method | `wpe_input_method_context_get_input_purpose()`
Setter method | `wpe_input_method_context_set_input_purpose()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no